#version 330 core

layout(location = 0) in vec3 in_pos;
layout(location = 1) in vec2 in_uv;

out vec2 out_uv;

uniform mat4 uniform_projection;
uniform mat4 uniform_view;
uniform mat4 uniform_model;

void main() {
	gl_Position = uniform_projection * uniform_view * uniform_model * vec4(in_pos, 1.0);
	out_uv = in_uv;
}
